<header class="nav-bar-header bg-dark">
	<a [routerLink]="routes.builder(resumeLink).builder" class="hidden mdCustom:flex px-1 transparent-btn">
		<svg
			[class.transform]="isRTL()"
			[class.rotate-180]="isRTL()"
			width="24"
			height="24"
			viewBox="0 0 24 24"
			fill="none"
			xmlns="http://www.w3.org/2000/svg"
		>
			<path d="M15.41 16.59L10.83 12L15.41 7.41L14 6L8 12L14 18L15.41 16.59Z" fill="#ffffff" />
		</svg>
		<span class="flex flex-row justify-center items-center w-full">
			<span class="btn-text text-lg text-white" [class.ml-2]="!isRTL()" [class.mr-2]="isRTL()">
				{{ t.common.buttons.backToEditor | translate }}
			</span>
		</span>
	</a>
	<button (click)="openTemplatesActionSheet()" class="flex mdCustom:hidden transparent-btn px-2.5">
		<svg class="app-icons" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
			<path
				d="M18 4V3C18 2.45 17.55 2 17 2H5C4.45 2 4 2.45 4 3V7C4 7.55 4.45 8 5 8H17C17.55 8 18 7.55 18 7V6H19V10H9V21C9 21.55 9.45 22 10 22H12C12.55 22 13 21.55 13 21V12H21V4H18Z"
				fill="white"
			/>
		</svg>
	</button>
	<div class="flex flex-row justify-end items-center">
		<div *ngIf="isBuilding" class="flex bg-transparent px-2.5 mdCustom:px-6">
			<svg
				xmlns="http://www.w3.org/2000/svg"
				xmlns:xlink="http://www.w3.org/1999/xlink"
				style="margin: auto; display: block; shape-rendering: auto"
				class="app-icons"
				viewBox="0 0 100 100"
				preserveAspectRatio="xMidYMid"
			>
				<circle
					cx="50"
					cy="50"
					r="38"
					stroke-width="8"
					stroke="#ffffff"
					stroke-dasharray="59.690260418206066 59.690260418206066"
					fill="none"
					stroke-linecap="round"
				>
					<animateTransform
						attributeName="transform"
						type="rotate"
						dur="1s"
						repeatCount="indefinite"
						keyTimes="0;1"
						values="0 50 50;360 50 50"
					></animateTransform>
				</circle>
				<circle
					cx="50"
					cy="50"
					r="29"
					stroke-width="8"
					stroke="#dcdee1"
					stroke-dasharray="45.553093477052 45.553093477052"
					stroke-dashoffset="45.553093477052"
					fill="none"
					stroke-linecap="round"
				>
					<animateTransform
						attributeName="transform"
						type="rotate"
						dur="1s"
						repeatCount="indefinite"
						keyTimes="0;1"
						values="0 50 50;-360 50 50"
					></animateTransform>
				</circle>
				<!-- [ldio] generated by https://loading.io/ -->
			</svg>
			<span class="hidden mdCustom:flex flex-row justify-center items-center w-full">
				<span [class.ml-2]="!isRTL()" [class.mr-2]="isRTL()" class="btn-text text-bgZero text-lg">
					{{ t.common.misc.saving | translate }}
				</span>
			</span>
		</div>
		<button (click)="handleDownloadCv()" class="flex cta-primary-btn bg-primary px-2.5 mdCustom:px-6">
			<svg class="app-icons" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path
					d="M19.35 10.04C18.67 6.59 15.64 4 12 4C9.11 4 6.6 5.64 5.35 8.04C2.34 8.36 0 10.91 0 14C0 17.31 2.69 20 6 20H19C21.76 20 24 17.76 24 15C24 12.36 21.95 10.22 19.35 10.04ZM17 13L12 18L7 13H10V9H14V13H17Z"
					fill="white"
				/>
			</svg>
			<span class="hidden mdCustom:flex flex-row justify-center items-center w-full">
				<span class="btn-text ml-2 text-lg">
					{{ t.common.buttons.downloadPDF | translate }}
				</span>
			</span>
		</button>
		<button
			(click)="openShareLinkDialog()"
			[class.ml-3]="!isRTL()"
			[class.mr-3]="isRTL()"
			class="flex cta-primary-btn bg-primary px-2.5 mdCustom:px-6"
		>
			<svg class="app-icons" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path
					d="M18 16.08C17.24 16.08 16.56 16.38 16.04 16.85L8.91 12.7C8.96 12.47 9 12.24 9 12C9 11.76 8.96 11.53 8.91 11.3L15.96 7.19C16.5 7.69 17.21 8 18 8C19.66 8 21 6.66 21 5C21 3.34 19.66 2 18 2C16.34 2 15 3.34 15 5C15 5.24 15.04 5.47 15.09 5.7L8.04 9.81C7.5 9.31 6.79 9 6 9C4.34 9 3 10.34 3 12C3 13.66 4.34 15 6 15C6.79 15 7.5 14.69 8.04 14.19L15.16 18.35C15.11 18.56 15.08 18.78 15.08 19C15.08 20.61 16.39 21.92 18 21.92C19.61 21.92 20.92 20.61 20.92 19C20.92 17.39 19.61 16.08 18 16.08Z"
					fill="#ffffff"
				/>
			</svg>
			<span class="hidden mdCustom:flex flex-row justify-center items-center w-full">
				<span class="btn-text ml-2 text-lg">
					{{ t.common.buttons.share | translate }}
				</span>
			</span>
		</button>
		<a
			[routerLink]="routes.builder(resumeLink).builder"
			[class.ml-3]="!isRTL()"
			[class.mr-3]="isRTL()"
			class="flex mdCustom:hidden transparent-btn px-2.5"
		>
			<svg class="app-icons" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path
					d="M19 6.41L17.59 5L12 10.59L6.41 5L5 6.41L10.59 12L5 17.59L6.41 19L12 13.41L17.59 19L19 17.59L13.41 12L19 6.41Z"
					fill="#ffffff"
				/>
			</svg>
		</a>
	</div>
</header>
